## org.eclipse.datatools.modelbase.sql.datatypes
Interface BinaryStringDataType

All Superinterfaces:
  DataType, PredefinedDataType, SQLDataType, SQLObject

All Known Implementing Classes:
  BinaryStringDataTypeImpl

public interface BinaryStringDataType
extends PredefinedDataType

A representation of the model object 'Binary String Data Type'. 4.3 Binary strings A binary string is a sequence of octets that does not have either a character set or collation associated with it. A binary string data type is described by a binary string data type descriptor. A binary string data type descriptor contains: - The name of the data type (BINARY LARGE OBJECT ). - The maximum length of the binary string data type (in octets). A binary string is assignable only to sites of data type BINARY LARGE OBJECT . If a store assignment would result in the loss of non-zero octets due to truncation, then an exception condition is raised. If a retrieval assignment would result in the loss of octets due to truncation, then a warning condition is raised.

The following features are supported:

- `Length`

See Also:
  `SQLDataTypesPackage.getBinaryStringDataType()`

Method Summary
`boolean` `equals()`
`int` `getLength()` Returns the value of the 'Length' attribute.
`void` `setLength(int value)` Sets the value of the '`Length`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getLength

    public int getLength()

  Returns the value of the 'Length' attribute.

  If the meaning of the 'Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Length' attribute.
  See Also:
    `setLength(int)`, `SQLDataTypesPackage.getBinaryStringDataType_Length()`

### setLength

    public void setLength(int value)

  Sets the value of the '`Length`' attribute.

  Parameters:
    `value` - the new value of the 'Length' attribute.
  See Also:
    `getLength()`

### equals

    public boolean equals()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.